<?php

/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Create and output the Backend-Site for identifyed user
 *
 * @author Norbert Gebert
 * @copyright Norbert Gebert 25.09.2012
 * @license GPL3
 *
 * @version 0.6
 * @package Admin
 * @subpackage global
 */

ini_set('session.use_only_cookies', '1');
ini_set('session.use_trans_sid', '0');
define('TOBBIVM', 1);
const VERSION = '0.1.1';
require_once('config.php');

// Start Session
session_name('admin');
session_start();

$_SERVER['backup'] = 0;

include_once('module/class/validate.class.php');
$validate = new validate;
include_once 'module/login/login.php';

// load Templateengine
include_once('module/quickskin/_lib/class.quickskin.php');

// load Messageengine
include_once('module/class/message.class.php');
$message = new message();

// Init Connection to Database with prepared Statements
include_once('module/database/MysqliDb.php');
$db = new db(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME);
db::getInstance()->setPrefix(DB_PREFIX);

// Check User
checkUser();

// Setting Language
putenv('LANG=' . LANGUAGE);
setlocale(LC_ALL, LANGUAGE);
// Path to Language-Files
bindtextdomain('main', './language');
// setting Domain
textdomain('main');
bind_textdomain_codeset('main', 'UTF-8');
// Translate-File must be in ./language/$language/LC_MESSAGES/main.mo

// Init plugin-class
include_once('module/class/xplugin.class.php');
$xPlugin = new xplugin();

// Call Startpage
$page = new QuickSkin('index.tpl.php');
$page->assign('scripts');
// CreatePage
include_once('module/core.php');

// Config the Templateengine
$page->set('template_dir', TEMPLATE_PATH . '/');
$page->set('temp_dir', 'tmp/');
$page->set('cache_dir', 'tmp/');
$page->set('cache_lifetime', 1);
$page->set('extensions_dir', '/../module/quickskin/_lib/qx'); 	
// Image-Path
$page->assign('tpl_img', TEMPLATE_PATH . '/images/');
$page->assign('url_img', URL . '/' . TEMPLATE_PATH . '/images/');
// Template Javascript-Path
$page->assign('tpl_js', TEMPLATE_PATH . '/module/js/');
$page->assign('url_js', URL . '/' . TEMPLATE_PATH . '/module/js/');
// Template CSS-Path
$page->assign('tpl_css', TEMPLATE_PATH . '/css/');
$page->assign('url_css', URL . '/' . TEMPLATE_PATH . '/css/');

$page->output();

?>