<?php

if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Datei: message.class.php
 *
 * At file and database operations message these appear (can) 
 * collect and distribute the different. 
 * if empty = No message availible
 *
 * @author Norbert Gebert
 * @copyright Norbert Gebert 25.09.2011
 * @license GPL3
 *
 * @version 0.5b
 * @package Admin
 * @subpackage global
 */
class message
{

	// @var $text String Text from the last called message
	static $text = '';

	/**
	 * Initializes the system-variable if still not available. 
	 */
	function __construct()
	{
		if (!isset($_SESSION['_ifErrorMessage']))
		// @var $_ifErrorMessage Boolean True if a message occur
			$_SESSION['_ifErrorMessage'] = false;

		if (!isset($_SESSION['_ifNoteMessage']))
		// @var $_ifNoteMessage Boolean True if a message occur
			$_SESSION['_ifNoteMessage'] = false;

		if (!isset($_SESSION['_ifWarningMessage']))
		// @var $_ifWarningMessage Boolean True if a message occur
			$_SESSION['_ifWarningMessage'] = false;

		if (!isset($_SESSION['_errorText']))
		// @var $_errorText String Full Errormessage 
			$_SESSION['_errorText'] = '';

		if (!isset($_SESSION['_noteText']))
		// @var $_noteText String Full Errormessage 
			$_SESSION['_noteText'] = '';

		if (!isset($_SESSION['_warningText']))
		// @var $_warningText String Full Errormessage 
			$_SESSION['_warningText'] = false;
	}

	/**
	 * setting the error-message
	 * @param string $row Text of one row from the message 
	 * @param option $first Set the row on top-position if it true
	 */
	public static function setErrorRow($row, $first = false)
	{
		if ($first)
		{
			$_SESSION['_errorText'] = '<b>' . $row . '</b><br>' . $_SESSION['_errorText'];
		}
		else
		{
			$_SESSION['_errorText'] .= '- ' . $row . '<br>';
		}
		$_SESSION['_ifErrorMessage'] = true;
	}

	public static function getErrorText()
	{
		self::$text = $_SESSION['_errorText'];
		$_SESSION['_errorText'] = '';
		$_SESSION['_ifErrorMessage'] = false;
		return self::$text;
	}

	public static function setNoteRow($row, $first = false)
	{
		if ($first)
		{
			$_SESSION['_noteText'] = '<b>' . $row . '</b><br>' . $_SESSION['_noteText'];
		}
		else
		{
			$_SESSION['_noteText'] .= '- ' . $row . '<br>';
		}
		$_SESSION['_ifNoteMessage'] = true;
	}

	public static function getNoteText()
	{
		self::$text = $_SESSION['_noteText'];
		$_SESSION['_noteText'] = '';
		$_SESSION['_ifNoteMessage'] = false;
		return self::$text;
	}

	public static function setWarningRow($row, $first = false)
	{
		if ($first)
		{
			$_SESSION['_warningText'] = '<b>' . $row . '</b><br>' . $_SESSION['_warningText'];
		}
		else
		{
			$_SESSION['_warningText'] .= '- ' . $row . '<br>';
		}
		$_SESSION['_ifWarningMessage'] = true;
	}

	public static function getWarningText()
	{
		self::$text = $_SESSION['_warningText'];
		$_SESSION['_warningText'] = '';
		$_SESSION['ifWarningMessage'] = false;
		return self::$text;
	}

	public static function ifErrorMessage()
	{
		return $_SESSION['_ifErrorMessage'];
	}

	public static function ifNoteMessage()
	{
		return $_SESSION['_ifNoteMessage'];
	}

	public static function ifWarningMessage()
	{
		return $_SESSION['_ifWarningMessage'];
	}

}

?>