<?php

if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Global functions for pages...
 * used from page->page pages->pagecategorys
 *
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2018
 * @author     Norbert Gebert
 * @license    GPL3
 */

/**
 * Sort and create category-entries for Table.
 * Maximum 4 Subcategorys!
 * Only the submenu-capable categories are given back
 * to the category editor for ($all = false) 
 * @param  string $data Userpassword
 * @param  boolean $all If True return all Subs otherwise only 3 Subs
 * @return mixed  returns true if Login ok
 */
function sortPagesCategorys($data, $all = true)
{
	$buffer = array();

	foreach ($data as $sub1)
	{
		$buffer[] = $sub1;
		$params = Array($sub1['pagecategory_id']);

		if ($resultSub1 = db::getInstance()->rawQuery("SELECT pagecategory_id, pagecategory_name, pagecategory_active, " .
			"pagecategory_active_1, pagecategory_active_2, pagecategory_active_3, pagecategory_active_4, pagecategory_active_5," .
			"pagecategory_order, pagecategory_top FROM pagecategory" .
			" WHERE pagecategory_top = ?" .
			" ORDER BY pagecategory_order", $params))
		{

			foreach ($resultSub1 as $sub2)
			{
				$sub2['pagecategory_name'] = '2|' . $sub2['pagecategory_name'];
				$buffer[] = $sub2;

				if ($resultSub2 = db::getInstance()->rawQuery("SELECT pagecategory_id, pagecategory_name, " .
						  "pagecategory_active_1, pagecategory_active_2, pagecategory_active_3, pagecategory_active_4, pagecategory_active_5," .
					"pagecategory_active, pagecategory_order, " .
					"pagecategory_top FROM pagecategory" .
					" WHERE pagecategory_top = '" . $sub2['pagecategory_id'] . "'" .
					" ORDER BY pagecategory_order"))
				{
					foreach ($resultSub2 as $sub3)
					{
						$sub3['pagecategory_name'] = '3|' . $sub3['pagecategory_name'];
						$buffer[] = $sub3;

						if ($resultSub3 = db::getInstance()->rawQuery("SELECT pagecategory_id, pagecategory_name, " .
								  "pagecategory_active_1, pagecategory_active_2, pagecategory_active_3, pagecategory_active_4, pagecategory_active_5," .
							"pagecategory_active, pagecategory_order, " .
							"pagecategory_top FROM pagecategory" .
							" WHERE pagecategory_top = '" . $sub3['pagecategory_id'] . "'" .
							" ORDER BY pagecategory_order"))
						{

							foreach ($resultSub3 as $sub4)
							{
								$sub4['pagecategory_name'] = '4|' . $sub4['pagecategory_name'];
								$buffer[] = $sub4;

								if ($all)
								{
									if ($resultSub4 = db::getInstance()->rawQuery("SELECT pagecategory_id, pagecategory_name, " .
											  "pagecategory_active_1, pagecategory_active_2, pagecategory_active_3, pagecategory_active_4, pagecategory_active_5," .
										"pagecategory_active, pagecategory_order, " .
										"pagecategory_top FROM pagecategory" .
										" WHERE pagecategory_top = '" . $sub4['pagecategory_id'] . "'" .
										" ORDER BY pagecategory_order"))
									{

										foreach ($resultSub4 as $sub5)
										{
											$sub5['pagecategory_name'] = '5|' .
												$sub5['pagecategory_name'];
											$buffer[] = $sub5;
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}
	return $buffer;
}

/**
 * Read names of browsepages for pages
 *
 * @return list of files as array, without extension
 */
function getBrowsepages($art = 'pages')
{
	$files = array();
	if ($handle = opendir('../' . TEMPLATE_PATH . '/' . $art . '.browse'))
	{
		while (false !== ( $file = readdir($handle) ))
		{
			if ($file != "." && $file != "..")
			{
				$files[] = str_replace('.tpl.php', '', $file);
			}
		}
		closedir($handle);
		return $files;
	}
}

?>
