<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Page Config->Attribute lists
 * Edit attribute list for userdefined attributes
 * use attribute.page.table.php
 *     attribute.page.edit.php
 *
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
function contentPage($refPage, $page, $subpage, $refValidate) {
   $refPage->assign('messagebox', '');

   if (isset($_GET['func']))
   { // Edit entry
      if ($refValidate->cleanslash($_GET['func']) === 'edit')
      { // edit attribute
         $pagefile = 'module/page/' . $page . '/attribute.page.edit.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_GET['func']) === 'options')
      { // list and edit attribut options list
         $pagefile = 'module/page/' . $page . '/options/options.page.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
   }
   else if (isset($_REQUEST['submit']))
   {
      if ($refValidate->cleanslash($_REQUEST['submit']) === _('Save'))
      { // Save values from Form
         $pagefile = 'module/page/' . $page . '/attribute.page.save.php';
         if (is_file($pagefile))
            include_once $pagefile;

         $pagefile = 'module/page/' . $page . '/attribute.page.table.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Delete'))
      { // Delete marked Data
         if (isset($_POST['marker']))
         {
            foreach ($_POST['marker'] as $idx)
            {
               $idx = $refValidate->cleanslash($idx);
               db::getInstance()->where('product_attribute_id', $idx);
               $result = db::getInstance()->getone('product');

               if (db::getInstance()->count > 0)
               { // Attribute in use!
                  db::getInstance()->where('attribute_id', $idx);
                  $result2 = db::getInstance()->getone('attribute');
                  message::setErrorRow($result2['attribute_title'] . _(' in use from ') .
                          $result['product_name'] . ' (Id=' . $result['product_id'] .
                          ')<br>' . _('Could not be deleted!'), true);
               }
               else
               {
                  db::getInstance()->where('attribute_id', $idx);
                  $attribute = db::getInstance()->getOne('attribute');

                  db::getInstance()->where('options_attribute_id', $idx);
                  $opt = db::getInstance()->getOne('options');


                  if (db::getInstance()->count > 0)
                     message::setErrorRow(_('Attribute not deleted - Delete options first') .
                             ' (' . $attribute['attribute_title'] . ')');
                  else
                  {
                     db::getInstance()->where('attribute_id', $idx);
                     if (db::getInstance()->delete('attribute'))
                        message::setNoteRow(_('Attribute deleted') . ' (' .
                                $attribute['attribute_title'] . ')');
                     else
                        message::setErrorRow(_('Attribute not deleted!') .
                             ' (' . $attribute['attribute_title'] . ')');
                  }
               }
            }
         }
         else
         {
            message::setNoteRow(_('There was no attribute marked!'), TRUE);
         }
         $pagefile = 'module/page/' . $page . '/attribute.page.table.php';

         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('New'))
      { // Create new Datarow and open Editor
         $data = Array('attribute_title' => _('New Attribute'));
         db::getInstance()->insert("attribute", $data);
         db::getInstance()->where('attribute_title', _('New Attribute'));
         $result = db::getInstance()->getOne('attribute');

         $_GET['id'] = $result['attribute_id'];

         // edit tax
         $pagefile = 'module/page/' . $page . '/attribute.page.edit.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
      else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Cancel'))
      { // Cancel = browse attribute
         $pagefile = 'module/page/' . $page . '/attribute.page.table.php';
         if (is_file($pagefile))
            include_once $pagefile;
      }
   }
   else
   { // browse attribute list
      $pagefile = 'module/page/' . $page . '/attribute.page.table.php';
      if (is_file($pagefile))
         include_once $pagefile;
   }
}

?>