<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Verify and save data from pages-editorpage and then call pagespage
 * used from pages.page.php (pages.page.editor.php)
 *
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2018
 * @author     Norbert Gebert
 * @license    GPL3
 */
$mysqlBuffer = array();
$newImage = false;

$datax = $refValidate->testNumber($_POST['idx'], '');
if (!$datax)
{
   message::setErrorRow(_('ID-Number for saving has a wrong format or is invalid.') . '<br>' .
           _('No data could be saved!'), true);
} else
{
   $idx = $datax;

   // articlename
   $namex = $refValidate->testText($_POST['namex'], _('No Pagename could be saved.'), 2, 64);
   if ($namex)
   {
      $mysqlBuffer['pages_name'] = $namex;
      $artNamex = $idx . ' ' . $namex;
   }

   // category-id
   $datax = $refValidate->testNumber($_POST['pagecategoryx'], _('No Categoryname could be saved.'));
   if ($datax)
   {
      $mysqlBuffer['pages_category'] = intval($datax);
      $catIdx = $datax;
   }

   // save active status for all shops
   if (isset($_POST['activex']))
      $mysqlBuffer['pages_active'] = '1';
   else
      $mysqlBuffer['pages_active'] = '0';

   if (isset($_POST['activex_1']))
      $mysqlBuffer['pages_active_1'] = '1';
   else
      $mysqlBuffer['pages_active_1'] = '0';

   if (isset($_POST['activex_2']))
      $mysqlBuffer['pages_active_2'] = '1';
   else
      $mysqlBuffer['pages_active_2'] = '0';

   if (isset($_POST['activex_3']))
      $mysqlBuffer['pages_active_3'] = '1';
   else
      $mysqlBuffer['pages_active_3'] = '0';

   if (isset($_POST['activex_4']))
      $mysqlBuffer['pages_active_4'] = '1';
   else
      $mysqlBuffer['pages_active_4'] = '0';

   if (isset($_POST['activex_5']))
      $mysqlBuffer['pages_active_5'] = '1';
   else
      $mysqlBuffer['pages_active_5'] = '0';

   // Page browsepage
   $datax = $refValidate->testText($_POST['browsepagex'], 
           _('No Browsepage could be saved.'), 1);
   if ($datax)
      $mysqlBuffer['pages_browsepage'] = $datax;

   // text
   $mysqlBuffer['pages_text'] = $_POST['textx'];

   // Image
   $datax = $refValidate->cleanslash($_FILES['imagefile']['name']);
   $oldImagex = $refValidate->testText($_POST['oldImagex'], _('Page image'));

   if ($datax and ! empty($datax) and $_FILES['imagefile']['error'] == 0)
   { // First delete old Image if available
      $file = '../images/' . PAGES_IMAGE_PATH . '/' . $catIdx .
              '/' . $oldImagex;
      // delete image after test if image used
      db::getInstance()->where("pages_image", $oldImagex);
      db::getInstance()->where("pages_category", $catIdx);
      $more = db::getInstance()->get("pages");
      if (count($more) == 1 and $oldImagex <> '')
         unlink($file);
         if (!is_dir('../images/' . PAGES_IMAGE_PATH))
            mkdir('../images/' . PAGES_IMAGE_PATH);

      if (!is_dir('../images/' . PAGES_IMAGE_PATH . '/' . $catIdx))
         mkdir('../images/' . PAGES_IMAGE_PATH . '/' . $catIdx);

      include_once('module/class/upload.class.php');
      $upload = new upload;

      if ($upload->doUpload($datax, PAGES_IMAGE_PATH . '/' . $catIdx, 
              (intval(ini_get('upload_max_filesize')) * 1000000), 'imagefile'))
      {
         $datax = preg_replace("/[^a-zA-Z0-9!\-.]/", "_", $datax);
         $mysqlBuffer['pages_image'] = $datax;
         $newImage = true;
      } else
      {
         message::setErrorRow(_('No Image could be uploaded.'));
         message::setErrorRow($upload->getError());
      }
   }

   // Alt-Attribut for image
   $datax = $refValidate->testText($_POST['imageAltx'], _('Alt-Attribut'), 0, 250);
   if ($datax or ! empty($datax))
   {
      $mysqlBuffer['pages_image_alt'] = $datax;
   }

   // Title-Attribut for image
   $datax = $refValidate->testText($_POST['imageTitlex'], _('Title-Attribut'), 0, 250);
   if ($datax or ! empty($datax))
   {
      $mysqlBuffer['pages_image_title'] = $datax;
   }

   // Sitetitle
   $datax = $refValidate->testText($_POST['titlex'], _('No title indicated!'));
   if ($datax)
      $mysqlBuffer['pages_title'] = $datax;

   // Metadescription
   $datax = $refValidate->testText($_POST['metadescriptionx'], _('No Metadescription indicated!'));
   if ($datax)
      $mysqlBuffer['pages_metadescription'] = $datax;

   // Metakeys
   $datax = $refValidate->testText($_POST['metakeyx'], _('No Metakeywords indicated!'));
   if ($datax)
      $mysqlBuffer['pages_metakey'] = $datax;

   // lastchange
   $mysqlBuffer['pages_last_change'] = date("Y-m-d H:i:s");

   db::getInstance()->where("pages_id", $idx);
   $result = db::getInstance()->getOne("pages");

   if ($result !== NULL)
   {
      $categoryx = $refValidate->testNumber($_POST['pagecategoryx'], _('Category-Id'), 2, 64);
      $oldcategoryx = $refValidate->testNumber($_POST['oldCategory'], _('Old Category-Id'), 2, 64);
      $orderx = $refValidate->testNumber($_POST['orderx'], _('Order number'), 2, 64);

      if ($categoryx <> $oldcategoryx)
      {
         $countx = db::getInstance()->rawQuery("SELECT count(*) FROM pages WHERE pages_category ='" . $categoryx . "'");
         $count = $countx[0]['count(*)'] + 1;
         $mysqlBuffer['pages_order'] = $count;
      }

      db::getInstance()->where('pages_id', $idx);
      if (db::getInstance()->update('pages', $mysqlBuffer))
         message::setNoteRow(_('Data successful saved.'), TRUE);

      if ($categoryx <> $oldcategoryx)
      { // Changed Category = New ordernumbers for soure- and target-category
         $ordernr = 1;
         db::getInstance()->where("pages_category", $oldcategoryx);
         db::getInstance()->orderBy('pages_order', 'ASC');
         $pagex = db::getInstance()->get("pages");

         if ($pagex)
         {
            foreach ($pagex as $valuex)
            {
               $data = Array('pages_order' => $ordernr);
               db::getInstance()->where('pages_id', $valuex['pages_id']);
               db::getInstance()->update('pages', $data);
               $ordernr++;
            }
         }

         if (!$newImage
                 and ( !empty($oldImagex) or ! empty($oldImagex)))
         { // Move the image, first create dirs if not...
            if (!is_dir(PAGES_IMAGE_PATH))
               mkdir(PAGES_IMAGE_PATH);

            if (!is_dir(PAGES_IMAGE_PATH . '/' . $catIdx))
               mkdir(PAGES_IMAGE_PATH . '/' . $catIdx);

            if ($newImage)
            { // delete old Image
               if (unlink(PAGES_IMAGE_PATH . '/' . $oldcategoryx . '/' .
                               $oldImagex))
                  message::setNoteRow(_('The old image file was replaced successfully.'));
            }
            else
            {
               db::getInstance()->where("pages_id", $idx);
               $art = db::getInstance()->getOne("pages");

               if (rename(PAGES_IMAGE_PATH . '/' . $oldcategoryx .
                               '/' . $oldImagex, PAGES_IMAGE_PATH . '/' . $categoryx .
                               '/' . $oldImagex))
               { // TODO: Delete Dirs if empty ???
                  /* rmdir(ARTICLE_IMAGE_PATH . '/' . $art->product_category); */
                  message::setNoteRow($art->pages_id . ' ' . $art->pages_name . '->' .
                          _('The image file was moved successfully. '));
               }
            }
         }
      }
   } else
   {
      message::setErrorRow(_('Data coud not save!') . '->' . $artNamex, true);
   }

   if (message::ifErrorMessage())
   {
      message::setErrorRow(_('A fault is data store this one appeared!') .
              '<br> ' . _('Pagename') . ': ' . $artNamex, true);
      $refPage->addtpl('content', '/' . $page . '/' . $subpage . '.editor.tpl.php');
   }
}